# IntlChar::foldCase

(PHP 7, PHP 8)

IntlChar::foldCase — Perform case folding on a code point

### Beschreibung

public static IntlChar::foldCase(int|string `$codepoint`, int `$options` = `IntlChar::FOLD_CASE_DEFAULT`): int|string|null

The given character is mapped to its case folding equivalent; if the character has no case folding equivalent, the character itself is returned.

### Parameter-Liste

`codepoint`

  Ein Wert vom Typ int, der einen Codepoint darstellt (z. B. `0x2603` für U+2603 SNOWMAN) oder ein als UTF-8-String kodiertes Zeichen (z. B. `"\u{2603}"`)

`options`

  Either `IntlChar::FOLD_CASE_DEFAULT` (default) or `IntlChar::FOLD_CASE_EXCLUDE_SPECIAL_I`.

### Rückgabewerte

Returns the Simple_Case_Folding of the code point, if any; otherwise the code point itself on success, or `null` on failure.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open